### Method

# WebKit PermissionStateQuery finish

#### Declaration [src]

    void
    webkit_permission_state_query_finish (
      WebKitPermissionStateQuery* query,
      WebKitPermissionState state
    )

#### Description [src]

Notify the web-engine of the selected permission state for the given query. This function should only be called as a response to the `WebKitWebView::query-permission-state` signal.

Available since: | 2.40

#### Parameters

`state` | `WebKitPermissionState`
| A `WebKitPermissionState`.